<template>
     <form @submit.prevent="validateBeforeSubmit(editMode)" class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed">
        <div class="m-portlet__body">
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('inward.purchased_item')}}</label>
                <div class="col-lg-6">
                    <v-select name="purchased_item" label="end_item_details_dr" v-validate="'required'"  dir="rtl" :options="options.purchase" v-model='s_fields.purchased_item'>
                      <template slot="option" slot-scope="option">
                         <span>
                           ( {{option.item_details_code}} )
                         </span>
                         {{option.end_item_details_dr}}
                      </template>
                    </v-select>
                    <span v-if="s_errors && s_errors.end_item" class="m-form__help text-danger">{{s_errors.end_item[0]}}</span>
                    <span v-else class="m-form__help">{{$t('inward.end_item_note')}}</span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('inward.m7_number')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="m7_number" v-model="s_fields.m7_number" :placeholder="$t('inward.m7_number_ph')">
                    <span v-if="s_errors && s_errors.m7_number"  class="m-form__help text-danger">{{s_errors.m7_number[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('m7_number')}" >{{errors.has('m7_number') ? errors.first('m7_number'): $t("inward.m7_number_note") }} </span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('inward.warranty')}}</label>
                <div class="col-lg-6">
                    <v-select name="warranty" label="name_dr" v-validate="'required'"  dir="rtl" :options="options.warranty" v-model='s_fields.warranty'>
                    </v-select>
                    <span v-if="s_errors && s_errors.warranty" class="m-form__help text-danger">{{s_errors.warranty[0]}}</span>
                    <span v-else class="m-form__help">{{$t('inward.warranty_note')}}</span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('inward.inward_date')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="inward_date" v-model="s_fields.inward_date" :placeholder="$t('inward.inward_date_ph')">
                    <span v-if="s_errors && s_errors.inward_date"  class="m-form__help text-danger">{{s_errors.inward_date[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('inward_date')}" >{{errors.has('inward_date') ? errors.first('inward_date'): $t("inward.inward_date_note") }} </span>
                </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('inward.department')}}</label>
                <div class="col-lg-6">
                    <v-select name="department" label="name_dr" v-validate="'required'"  dir="rtl" :options="options.departments" v-model='s_fields.department'>
                    </v-select>
                    <span v-if="s_errors && s_errors.department" class="m-form__help text-danger">{{s_errors.department[0]}}</span>
                    <span v-else class="m-form__help">{{$t('inward.department_note')}}</span>
                </div>
            </div>
            <div class="form-group m-form__group row">
              <label class="col-lg-2 col-form-label">{{$t('inward.store_keeper')}}</label>
              <div class="col-lg-6">
                <v-select name="store_keeper" label="name_dr" v-validate="'required'"  dir="rtl" :options="options.store_keeper" v-model='s_fields.store_keeper'>
                </v-select>
                <span v-if="s_errors && s_errors.store_keeper" class="m-form__help text-danger">{{s_errors.store_keeper[0]}}</span>
                <span v-else class="m-form__help">{{$t('inward.store_keeper_note')}}</span>
              </div>
            </div>
            <div class="form-group m-form__group row">
                <label class="col-lg-2 col-form-label">{{$t('inward.number_of_item')}}</label>
                <div class="col-lg-6">
                    <input type="text" class="form-control m-input" v-validate="'required'" name="number_of_item" v-model="s_fields.number_of_item" :placeholder="$t('inward.number_of_item_ph')">
                    <span v-if="s_errors && s_errors.number_of_item" class="m-form__help text-danger">{{s_errors.number_of_item[0]}}</span>
                    <span v-else :class="{'m-form__help':true, 'text-danger':errors.has('number_of_item')}" >{{errors.has('number_of_item') ? errors.first('number_of_item'): $t("inward.number_of_item_note") }} </span>
                </div>
            </div>
        </div>
        <div class="m-portlet__foot m-portlet__no-border m-portlet__foot--fit">
            <div class="m-form__actions m-form__actions--solid">
                <div class="row">
                    <div class="col-lg-2"></div>
                    <div class="col-lg-6">
                        <button type="submit" class="btn btn-brand">{{this.$route.meta.btn_label}}</button>
                        <router-link to="/items/inward" class="btn btn-secondary">{{$t('global.cancel')}}</router-link>
                    </div>
                </div>
            </div>
        </div>
    </form>
</template>

<script>
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        name: 'InwardForm',
        mixins: [SubmitForm],
        data(){
            return {
                'url': 'api/inward',
                'editMode': this.$route.meta.editMode,
                options: {
                },
                s_fields: {
                  purchased_item: ['یگ گزینه را انتخاب کنید.'],
                  warranty: ['یگ گزینه را انتخاب کنید.'],
                  department: ['یگ گزینه را انتخاب کنید.'],
                  store_keeper: ['یگ گزینه را انتخاب کنید.'],
                },
            }
        },
        created()
        {
            this.$root.$on('get-data-for-edit', () => {
              this.getDataForEdit();
              this.$root.$off('get-data-for-edit');
            });

            //Listen to get-end-item event and call get_public_data function
            this.$root.$on('get-inward-items', () => {
              this.getOptions('api/get_inward_options');
              this.$root.$off('get-inward-items');
            });

        }
    }
</script>
